## cascading.management.state
Class ClientState

    java.lang.Object
      cascading.management.state.BaseState
          cascading.management.state.ClientState

All Implemented Interfaces:
  CascadingService

    public abstract class ClientState

extends BaseState

Field Summary
`static ClientState` `NULL`
`static String` `STATE_SERVICE_CLASS_PROPERTY`

Constructor Summary
`ClientState()`

Method Summary
`void` `record(String id, Object object)`
`abstract void` `recordCascade(Cascade cascade)`
`abstract void` `recordFlow(Flow flow)`
`abstract void` `recordFlowStep(FlowStep flowStep)`
`abstract void` `recordStats(CascadingStats stats)`
`void` `run(long time)`
`void` `setStatus(Enum status, long time)`
`void` `start(long time)`
`void` `stop(long time)`
`void` `submit(long time)`

Methods inherited from class cascading.management.state.BaseState
`getID, initialize, isEnabled, setMetric, setMetric, setMetric, setProperties, startService, stopService, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_SERVICE_CLASS_PROPERTY

    public static final String STATE_SERVICE_CLASS_PROPERTY

See Also:
  Constant Field Values

### NULL

    public static ClientState NULL

Constructor Detail

### ClientState

    public ClientState()

Method Detail

### setStatus

    public void setStatus(Enum status,
                          long time)

### recordStats

    public abstract void recordStats(CascadingStats stats)

### recordFlowStep

    public abstract void recordFlowStep(FlowStep flowStep)

### recordFlow

    public abstract void recordFlow(Flow flow)

### recordCascade

    public abstract void recordCascade(Cascade cascade)

### record

    public void record(String id,
                       Object object)

### start

    public void start(long time)

### submit

    public void submit(long time)

### run

    public void run(long time)

### stop

    public void stop(long time)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.